eVis: can't create layer from MS Access query
Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13760

Description

eVis throws error when trying create layer from SQL query. To reproduce:

1. create connection to the database

 2. create query "select * from species". Enter any layer name and don't change coordinate comboboxes

 3. Get error "Layer is not valid The layer C:/Temp/qt_temp.JC4076?delimiter= &xField=Lon&yField=Lat is not a valid layer and

can not be added to the map"

Tested with r15645 and r15659

I think this is because of latest changes in delimited text provider and here is patch to fix this issue.

Associated revisions

Revision 48d7e85e - 2011-04-05 06:11 PM - Alexander Bruy

synchronize eVis with latest changes in delimited text provider (fix #3701)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15676 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b8f83497 - 2011-04-05 06:11 PM - Alexander Bruy

synchronize eVis with latest changes in delimited text provider (fix #3701)

git-svn-id: http://svn.osgeo.org/qgis/trunk@15676 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-05 09:11 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Applied in commit:b8f83497 (SVN r15677)

Files

dbase.7z 6.82 KB 2011-04-04 Alexander Bruy

evis_add_layer_fix.diff 1.33 KB 2011-04-04 Alexander Bruy

2024-04-27 1/1

http://svn.osgeo.org/qgis/trunk/qgis@15676
http://svn.osgeo.org/qgis/trunk@15676

